## org.apache.mahout.benchmark
Class ClosestCentroidBenchmark

    java.lang.Object
      org.apache.mahout.benchmark.ClosestCentroidBenchmark

    public class ClosestCentroidBenchmark

extends Object

Field Summary
`static String` `DESERIALIZE`
`static String` `SERIALIZE`

Constructor Summary
`ClosestCentroidBenchmark(VectorBenchmarks mark)`

Method Summary
`void` `benchmark(DistanceMeasure measure)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERIALIZE

    public static final String SERIALIZE

See Also:
  Constant Field Values

### DESERIALIZE

    public static final String DESERIALIZE

See Also:
  Constant Field Values

Constructor Detail

### ClosestCentroidBenchmark

    public ClosestCentroidBenchmark(VectorBenchmarks mark)

Method Detail

### benchmark

    public void benchmark(DistanceMeasure measure)
                   throws IOException

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.